### Method

# PapersDocument Annotation set_contents

#### Declaration [src]

    gboolean
    pps_annotation_set_contents (
      PpsAnnotation* annot,
      const gchar* contents
    )

#### Description [src]

Set the contents of `annot`. You can monitor changes in the annotation’s contents by connecting to notify::contents signal of `annot`.

Sets property | `PapersDocument.Annotation:contents`

#### Parameters

`contents`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the contents have been changed, `FALSE` otherwise.